org.apache.geode.management.cli

## Annotation Type CliMetaData

-     @Retention(value=RUNTIME)
       @Target(value={METHOD,PARAMETER})
      public @interface CliMetaData

  An annotation to define additional meta-data for commands.
  Since:
    GemFire 7.0

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static java.lang.String` | `ANNOTATION_DEFAULT_VALUE` Represents a default value to an option of a command.
    `static java.lang.String` | `ANNOTATION_NULL_VALUE` Represents a null value to an option of a command.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `interceptor` The fully qualified name of a class which implements the `CliAroundInterceptor` interface in order to provide additional pre- and post-execution functionality for a command.
    `boolean` | `isFileDownloadOverHttp` Indicates when executed over http, is this command downloading files from the member.
    `boolean` | `isFileUploaded` Indicates whether this command would require fileData to be sent from the client.
    `boolean` | `isPersisted` Indicates that the effect of the command is persisted or the commands affects the persistent configuration
    `java.lang.String[]` | `relatedTopic` In help, topics that are related to this command
    `boolean` | `shellOnly` Indicates that the command will only run in the gfsh shell Gfsh ExecutionStrategy will use this flag to determine whether to invoke remote call or not.
    `java.lang.String` | `valueSeparator` Deprecated. since 1.2, Command methods may override both the delimiter and the escape through spring shell's `splittingRegex` option context

- - ### Field Detail

    - #### ANNOTATION_DEFAULT_VALUE

          public static final java.lang.String ANNOTATION_DEFAULT_VALUE

      Represents a default value to an option of a command.

  - - #### ANNOTATION_NULL_VALUE

          public static final java.lang.String ANNOTATION_NULL_VALUE

      Represents a null value to an option of a command.

  - ### Element Detail

    - #### shellOnly

          public abstract boolean shellOnly

      Indicates that the command will only run in the gfsh shell Gfsh ExecutionStrategy will use this flag to determine whether to invoke remote call or not.
      Default:
        false

  - - #### isFileDownloadOverHttp

          public abstract boolean isFileDownloadOverHttp

      Indicates when executed over http, is this command downloading files from the member. When this is set to true, the RestHttpOperationInvoker will use an extractor to extract the inputstream in the response to a temporary file and it's up to your command's interceptor's postExecution to use that temp file to fit your need.
      Default:
        false

  - - #### isFileUploaded

          public abstract boolean isFileUploaded

      Indicates whether this command would require fileData to be sent from the client. If this is true, the preExecution of the interceptor needs to return a FileResult
      Default:
        false

  - - #### isPersisted

          public abstract boolean isPersisted

      Indicates that the effect of the command is persisted or the commands affects the persistent configuration
      Default:
        false

  - - #### relatedTopic

          public abstract java.lang.String[] relatedTopic

      In help, topics that are related to this command
      Default:
        "Geode"

  - - #### interceptor

          public abstract java.lang.String interceptor

      The fully qualified name of a class which implements the `CliAroundInterceptor` interface in order to provide additional pre- and post-execution functionality for a command.
      Default:
        "__NULL__"

  - - #### valueSeparator

          public abstract java.lang.String valueSeparator

      Deprecated. since 1.2, Command methods may override both the delimiter and the escape through spring shell's `splittingRegex` option context
      String used as a separator when multiple values for a command are specified
      Default:
        "__NULL__"